Skip to main content
POST
/
screening
/
trlink
/
transaction
/
{txId}
/
travel_rule_message_id
TypeScript
const response: Promise<FireblocksResponse<TRLinkSetTransactionTravelRuleMessageIdResponse>> = fireblocks.tRLink.setTRLinkTransactionTravelRuleMessageId(tRLinkApiSetTRLinkTransactionTravelRuleMessageIdRequest);
{
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

txId
string<uuid>
required

Fireblocks transaction unique identifier

Body

application/json
travelRuleMessageId
string | null
required

Travel Rule Message ID to associate with transaction (null to unset)

Example:

"trm_1234567890abcdef"

Response

Travel rule message ID set successfully

success
boolean
required

Whether the operation was successful

Example:

true